import { SimpleLocalIntegration } from '../../core/index.js';
import { IgloConfigFlow } from './iglo.classes.configflow.js';
import { createIgloDiscoveryDescriptor } from './iglo.discovery.js';
import type { IIgloConfig } from './iglo.types.js';
import { igloDomain, igloProfile } from './iglo.types.js';

export class IgloIntegration extends SimpleLocalIntegration<IIgloConfig> {
  public readonly domain = igloDomain;
  public readonly discoveryDescriptor = createIgloDiscoveryDescriptor();
  public readonly configFlow = new IgloConfigFlow();

  constructor() {
    super(igloProfile);
  }
}

export class HomeAssistantIgloIntegration extends IgloIntegration {}
